v_sdirxss: fzetta_fmc_ctlr.c File Reference

| v_sdirxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
fzetta_fmc_ctlr.c File Reference

## Overview

FMC configuration file.

    MODIFICATION HISTORY:

    Ver   Who  Date       Changes

    1.0  jsr   03/07/2018 Initial version

## Functions
int | fzetta_fmc_ip_init ()
      This function Initializes CfgPtr and Device for FZetta Control
More...
int | fzetta_fmc_register_write (fzetta_dev_type *Dev, u8 *Channel, spi_slave_sel *Slave_Sel, u8 *RegAddr, u8 *RegData)
| This function Perform register write according to FMC device type to access. More...
u8 | fzetta_fmc_register_read (fzetta_dev_type Dev, u8 Channel, spi_slave_sel Slave_Sel, u8 RegAddr)
| This function Perform register read according to FMC device type to access. More...
int | fzetta_fmc_dev_init (fzetta_fmc_reg *fzetta_fmc_reg_init)
| This function Perform FZETTA FMC IIC and SPI devices Initialization based on Initialization table. More...
int | fzetta_fmc_dev_errata_init ()
| This function Perform Reclocker Device Errate Initialization. More...
int | fzetta_fmc_stop ()
| This function Perform Stop IIC, GPIO and SPI IP. More...
int | fzetta_fmc_init ()
| This function Perform Initialize FMC and its control IPs. More...

## Function Documentation

int fzetta_fmc_dev_errata_init | ( |  | ) |

This function Perform Reclocker Device Errate Initialization.

None

Returns
  XST_SUCCESS if initialization is successful else XST_FAILURE

Note
  None.

References fzetta_fmc_init_done(), fzetta_fmc_register_read(), and fzetta_fmc_register_write().

Referenced by fzetta_fmc_init().

int fzetta_fmc_dev_init | ( | fzetta_fmc_reg * | fzetta_fmc_reg_init | ) |

This function Perform FZETTA FMC IIC and SPI devices Initialization based on Initialization table.

fzetta_fmc_reg_init = Register list

Returns
  XST_SUCCESS if initialization is successful else XST_FAILURE

Note
  None.

References fzetta_fmc_register_write().

Referenced by fzetta_fmc_init().

int fzetta_fmc_init | ( |  | ) |

This function Perform Initialize FMC and its control IPs.

: None

Returns
  XST_SUCCESS if initialization is successful else XST_FAILURE

Note
  None.

References fzetta_fmc_dev_errata_init(), fzetta_fmc_dev_init(), fzetta_fmc_ip_init(), and fzetta_fmc_table_init().

Referenced by ctrl_app(), and main().

int fzetta_fmc_ip_init | ( |  | ) |

      This function Initializes CfgPtr and Device for FZetta Control

Parameters

  None. |

Returns
  XST_SUCCESS if initialization is successful else XST_FAILURE

Note
  None.

References fzetta_fmc_gpio_init(), fzetta_fmc_iic_init(), and fzetta_fmc_spi_init().

Referenced by fzetta_fmc_init().

u8 fzetta_fmc_register_read | ( | fzetta_dev_type | Dev,
|  | u8 | Channel,
|  | spi_slave_sel | Slave_Sel,
|  | u8 | RegAddr
| ) |  |

This function Perform register read according to FMC device type to access.

Dev = device type (IIC_Dev or SPI_Dev) Channel = SDI Channel to access Slave_Sel = SPI slave type (SPI_RCLKR, SPI_DRVR, SPI_RCVR) RegAddr = 7-bit register to access

Returns
  XST_SUCCESS if register read is successful else XST_FAILURE

Note
  None.

References fzetta_fmc_iic_xbar_register_read(), fzetta_fmc_spi_channel_select(), and fzetta_fmc_spi_devices_register_read().

Referenced by ctrl_app(), and fzetta_fmc_dev_errata_init().

int fzetta_fmc_register_write | ( | fzetta_dev_type * | Dev,
|  | u8 * | Channel,
|  | spi_slave_sel * | Slave_Sel,
|  | u8 * | RegAddr,
|  | u8 * | RegData
| ) |  |

This function Perform register write according to FMC device type to access.

Dev = device type (IIC_Dev or SPI_Dev) Channel = SDI Channel to access Slave_Sel = SPI slave type (SPI_RCLKR, SPI_DRVR, SPI_RCVR) RegAddr = 7-bit register to access RegData = data to write

Returns
  XST_SUCCESS if register write is successful else XST_FAILURE

Note
  None.

References fzetta_fmc_iic_xbar_register_write(), fzetta_fmc_spi_channel_select(), and fzetta_fmc_spi_devices_register_write().

Referenced by ctrl_app(), fzetta_fmc_dev_errata_init(), and fzetta_fmc_dev_init().

int fzetta_fmc_stop | ( |  | ) |

This function Perform Stop IIC, GPIO and SPI IP.

: None

Returns
  XST_SUCCESS if fmc stop is successful else XST_FAILURE

Note
  None.